CK_HT_ENTRY_VALUE(3)

NAME
ck_ht_entry_value - return pointer to value as specified in hash table entry

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
void *
ck_ht_entry_value(ck_ht_entry_t *entry);

DESCRIPTION
The ck_ht_entry_value() function will return the value pointer as specified in the object pointed to by the entry argument.

It is expected that the entry is associated with a hash table initialized with CK_HT_MODE_BYTESTRING (see ck_ht_init(3) for more information).

RETURN VALUES
The ck_ht_entry_value() function returns the value pointed to by entry.

ERRORS
Behavior is undefined if entry has not been initialized or if the key is empty.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_count(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key_length(3), ck_ht_entry_key(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/